html:
  stage: build
  image: rocker/verse:3.6.3
  script:
  - rm /usr/local/bin/pandoc
  - rm /usr/local/bin/pandoc-citeproc
  - "wget -O pandoc-2.2.1-1-amd64.deb https://github.com/jgm/pandoc/releases/download/2.2.1/pandoc-2.2.1-1-amd64.deb"
  - "dpkg -i pandoc-2.2.1-1-amd64.deb"
  - "rm pandoc-2.2.1-1-amd64.deb"
  - Rscript -e "install.packages('xaringan');install.packages('devtools');install.packages('knitr');devtools::install_github('gadenbuie/xaringanExtra');rmarkdown::render('index.Rmd')"  - mkdir public
  - mkdir public
  - cp index.html -d public
  - cp zae.presentation.pdf -d public
  - cp -r www public
  artifacts:
    paths:
    - public

pages:
  stage: deploy
  script:
  - echo 'Nothing to do...'
  artifacts:
    paths:
    - public
  only:
  - master
